$(function(){
//filters
	$('.filters a').each(function(){
		var text = $.trim($(this).text());
		if(text.length > 30){
			$(this).text(text.substr(0, 30) + '...')
		}
	});
//masonry
	var masonry465 = $('.masonry-465');
	masonry465.masonry({
	  columnWidth: 465,
	  itemSelector: '.item-masonry',
	  gutter : 20
	});

	var masonry225 = $('.masonry-225');
	masonry225.masonry({
	  columnWidth: 225,
	  itemSelector: '.item-masonry',
	  gutter : 16
	});

	function masonry177(){
		var masonry177 = $('.masonry-177');
		masonry177.masonry({
		  columnWidth: 177,
		  itemSelector: '.item-masonry'
		});
	}
	masonry177();
//popin
	$('.open-popin').bind('click', function(e){
		e.preventDefault();
		var target = $(this).attr('href');
		$('.popin-wrap').fadeIn(function(){
			$(target).show();
		});
	});

	$('.close-popin, .popin-wrap').bind('click', function(e){
		e.preventDefault();
		e.stopPropagation();
		$('.popin-wrap').fadeOut(function(){
			$('.popin').hide();
		});
	});

	$('.popin').bind('click', function(e){
		e.stopPropagation();
	});
//tag it
	if($('.tag-it').length){
		var keywordsTagIt = $('.tag-it').tagit({
			allowSpaces : true
		});
		$('.list-key-add a').bind('click', function(e){
			e.preventDefault();
			var tag = $(this).attr('data-tag');
			keywordsTagIt.tagit("createTag", tag);
		});
	}
//mosaic
	$('.toggle-comment').bind('click', function(e){
		e.preventDefault();
		$('.show-comment, .hide-comment').hide();
		if($('.mosaic').length){
			$('.mosaic').removeClass('mosaic').addClass('mosaic-comment');
			$('.hide-comment').show();
		}else{
			$('.mosaic-comment').removeClass('mosaic-comment').addClass('mosaic');
			$('.show-comment').show();
		}
		masonry177();
	});

	$('.display-keyword').bind('click', function(e){
		e.preventDefault();
		var li = $(this).parents('li'),
			keyword = $(this).attr('data-keyword');
		if(li.hasClass('disabled')){
			$('li.keyword-'+keyword).find('.curtain').hide();
			li.removeClass('disabled');
		}else{
			$('li.keyword-'+keyword).find('.curtain').show();
			li.addClass('disabled');
		}
		
	});
	
});//ready
